Esempio n. 1
0
 /// <summary>
 /// Creates default LabelFloor
 /// </summary>
 public LabelFloor()
 {
     PrimaryReinforcement       = new CodeCheckingConcreteExample.UIComponents.RCSteelParameters.RCSteelParametersSchema();
     SecondaryReinforcement     = new CodeCheckingConcreteExample.UIComponents.RCSteelParameters.RCSteelParametersSchema();
     CreepCoefficient           = 2.0;
     EnabledInternalForcesFloor = new List <EnabledInternalForcesForFloor>();
     EnabledInternalForcesFloor.Add(EnabledInternalForcesForFloor.MY);
 }
Esempio n. 2
0
 /// <summary>
 /// Creates default LabelWall
 /// </summary>
 public LabelWall()
 {
     VerticalReinforcement     = new CodeCheckingConcreteExample.UIComponents.RCSteelParameters.RCSteelParametersSchema();
     HorizontalReinforcement   = new CodeCheckingConcreteExample.UIComponents.RCSteelParameters.RCSteelParametersSchema();
     CreepCoefficient          = 2.0;
     EnabledInternalForcesWall = new List <EnabledInternalForcesForWall>();
     EnabledInternalForcesWall.Add(EnabledInternalForcesForWall.FX);
     EnabledInternalForcesWall.Add(EnabledInternalForcesForWall.MX);
 }
Esempio n. 3
0
 /// <summary>
 /// Creates default LabelBeam
 /// </summary>
 public LabelBeam()
 {
     LongitudinalReinforcement = new CodeCheckingConcreteExample.UIComponents.RCSteelParameters.RCSteelParametersSchema();
     CreepCoefficient          = 2.0;
     TransversalReinforcement  = new CodeCheckingConcreteExample.UIComponents.RCSteelParameters.RCSteelParametersSchema();
     EnabledInternalForcesBeam = new List <EnabledInternalForcesForBeam>();
     EnabledInternalForcesBeam.Add(EnabledInternalForcesForBeam.MY);
     EnabledInternalForcesBeam.Add(EnabledInternalForcesForBeam.FZ);
     SlabBeamInteraction = ConcreteTypes.BeamSectionType.WithSlabBeamInteraction;
 }
Esempio n. 4
0
 /// <summary>
 /// Creates default LabelColumn
 /// </summary>
 public LabelColumn()
 {
     LongitudinalReinforcement = new CodeCheckingConcreteExample.UIComponents.RCSteelParameters.RCSteelParametersSchema();
     CreepCoefficient          = 2.0;
     TransversalReinforcement  = new CodeCheckingConcreteExample.UIComponents.RCSteelParameters.RCSteelParametersSchema();
     EnabledInternalForces     = new List <ConcreteTypes.EnabledInternalForces>();
     EnabledInternalForces.Add(ConcreteTypes.EnabledInternalForces.MY);
     EnabledInternalForces.Add(ConcreteTypes.EnabledInternalForces.FX);
     LengthCoefficientY   = 1.0;
     LengthCoefficientZ   = 1.0;
     BucklingDirectionY   = true;
     BucklingDirectionZ   = true;
     ColumnStructureTypeY = ConcreteTypes.ColumnStructureType.NonSway;
     ColumnStructureTypeZ = ConcreteTypes.ColumnStructureType.NonSway;
 }
Esempio n. 5
0
        /// <summary>
        /// Verify parameters of steel in the label.
        /// </summary>
        /// <param name="steel">Steel properties</param>
        /// <param name="longitudinal">Information about the type of reinforcement. True if longitudinal.</param>
        /// <returns></returns>
        public List <string> VerifySteel(CodeCheckingConcreteExample.UIComponents.RCSteelParameters.RCSteelParametersSchema steel, bool longitudinal)
        {
            List <string> errors = new List <string>();

            if (steel.Material == null)
            {
                errors.Add(Resources.ResourceManager.GetString(longitudinal ? "ErrReinforcementMaterialL" : "ErrReinforcementMaterialT"));
            }
            else if (steel.MinimumYieldStress < Double.Epsilon)
            {
                errors.Add(Resources.ResourceManager.GetString(longitudinal ? "ErrReinforcementYieldStressL" : "ErrReinforcementYieldStressT"));
            }
            if (steel.RebarBarType == null || steel.BarDiameter < Double.Epsilon || steel.DeformationType == Autodesk.Revit.DB.CodeChecking.Engineering.Concrete.ConcreteTypes.SteelSurface.Unknown)
            {
                errors.Add(Resources.ResourceManager.GetString(longitudinal ? "ErrRebarL" : "ErrRebarT"));
            }

            return(errors);
        }